Runtime

## org.eclipse.gmf.runtime.notation
Class ArrowType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.ArrowType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class ArrowType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Arrow Type', and utility methods for working with them.

See Also:
  `NotationPackage.getArrowType()`, Serialized Form
** Generated **
Model:

Field Summary
`static int` `NONE` The 'None' literal value
`static ArrowType` `NONE_LITERAL` The 'None' literal object
`static int` `OPEN_ARROW` The 'Open Arrow' literal value
`static ArrowType` `OPEN_ARROW_LITERAL` The 'Open Arrow' literal object
`static int` `SOLID_ARROW` The 'Solid Arrow' literal value
`static ArrowType` `SOLID_ARROW_LITERAL` The 'Solid Arrow' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Arrow Type' enumerators

Method Summary
`static ArrowType` `get(int value)` Returns the 'Arrow Type' literal with the specified integer value
`static ArrowType` `get(java.lang.String literal)` Returns the 'Arrow Type' literal with the specified literal value
`static ArrowType` `getByName(java.lang.String name)` Returns the 'Arrow Type' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="None"

### OPEN_ARROW

    public static final int OPEN_ARROW

  The 'Open Arrow' literal value.

  If the meaning of 'Open Arrow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OPEN_ARROW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="OpenArrow"

### SOLID_ARROW

    public static final int SOLID_ARROW

  The 'Solid Arrow' literal value.

  If the meaning of 'Solid Arrow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SOLID_ARROW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="SolidArrow"

### NONE_LITERAL

    public static final ArrowType NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`
  ** Generated **
  Ordered:

### OPEN_ARROW_LITERAL

    public static final ArrowType OPEN_ARROW_LITERAL

  The 'Open Arrow' literal object.

  See Also:
    `OPEN_ARROW`
  ** Generated **
  Ordered:

### SOLID_ARROW_LITERAL

    public static final ArrowType SOLID_ARROW_LITERAL

  The 'Solid Arrow' literal object.

  See Also:
    `SOLID_ARROW`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Arrow Type' enumerators.

  ** Generated **

Method Detail

### get

    public static ArrowType get(java.lang.String literal)

  Returns the 'Arrow Type' literal with the specified literal value.

  ** Generated **

### getByName

    public static ArrowType getByName(java.lang.String name)

  Returns the 'Arrow Type' literal with the specified name.

  ** Generated **

### get

    public static ArrowType get(int value)

  Returns the 'Arrow Type' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.